Package org.bukkit.event.entity

# Class FoodLevelChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.FoodLevelChangeEvent

All Implemented Interfaces:
  `Cancellable`

public class FoodLevelChangeEvent extends EntityEvent implements Cancellable
Called when a human entity's food level changes

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`FoodLevelChangeEvent(@NotNull HumanEntity what, int level)`
`FoodLevelChangeEvent(@NotNull HumanEntity what, int level, @Nullable ItemStack item)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull HumanEntity`
`getEntity()`
Returns the Entity involved in this event
`int`
`getFoodLevel()`
Gets the resultant food level that the entity involved in this event should be set to.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable ItemStack`
`getItem()`
Gets the item that triggered this event, if any.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setFoodLevel(int level)`
Sets the resultant food level that the entity involved in this event should be set to

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FoodLevelChangeEvent

public FoodLevelChangeEvent(@NotNull @NotNull HumanEntity what, int level)

### FoodLevelChangeEvent

public FoodLevelChangeEvent(@NotNull @NotNull HumanEntity what, int level, @Nullable @Nullable ItemStack item)

## Method Details

### getEntity

@NotNull public @NotNull HumanEntity getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getItem

@Nullable public @Nullable ItemStack getItem()
Gets the item that triggered this event, if any.

Returns:
  an ItemStack for the item being consumed

### getFoodLevel

public int getFoodLevel()
Gets the resultant food level that the entity involved in this event should be set to.

Where 20 is a full food bar and 0 is an empty one.

Returns:
  The resultant food level

### setFoodLevel

public void setFoodLevel(int level)
Sets the resultant food level that the entity involved in this event should be set to

Parameters:
  `level` - the resultant food level that the entity involved in this event should be set to

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()